Page 6 of 6 FirstFirst ... 456
Results 51 to 59 of 59

Thread: Another Week, Another New NVIDIA Linux Driver

  1. #51
    Join Date
    Jan 2009
    Location
    Vienna, Austria; Germany; hello world :)
    Posts
    629

    Default

    Quote Originally Posted by bridgman View Post
    FWIW, the closed source work started at "ATI" a year or so before joining AMD, but the changes are pretty significant so it takes time to complete them and get them out the door. The open source work was definitely championed by the "AMD" folks, however.
    and the community is loving you guys for that


    please keep on improving the fglrx driver so that I and more folks will be able to pull out their old nvidia card and replace it with and ATI/AMD one,

    at the moment it's not acceptable since it still interferes a lot with kernel internals (e.g. producing BUG messages with fully preemption, not supporting preemptive rcu [nvidia does !], hardlocking the box easily when switching through VT and X, rather unstable and slow-reacting compositing)


    and don't forget: improved energy savings -> powerplay with downclocking and downvolting


    from what I've read a significant difference at nvidia is that they're able to pass direct rendering through compositing (-> working fine opengl apps when the desktop is using compiz / kwin with effects)

    thanks

  2. #52
    Join Date
    Dec 2007
    Posts
    677

    Default

    My $80 nvidia card was much easier to setup and performs tons better than my friends $300 ati card.

    'nuff said.

    (yes, in 1-2 years things will be better - and my opinion will change then, not now.)

  3. #53
    Join Date
    Aug 2007
    Posts
    6,615

    Default

    With the right distro you only have to run one script for fglrx or nvidia I would not say that this is compilicated, but when the driver has errors the best packageing does not make it better.

  4. #54
    Join Date
    Dec 2007
    Posts
    677

    Default

    Unless the script is on the desktop labelled "run-me-to-install-driver.sh", it is not helpful.

  5. #55
    Join Date
    Aug 2007
    Posts
    6,615

    Default

    I could create buttons to run it, but I want that the users don't have got fear to use command line - even text mode. I only tell em how to run it.

  6. #56
    Join Date
    Jul 2008
    Location
    Greece
    Posts
    3,788

    Default

    Aren't *.deb packages able to hold scripts in them or something? Why a *.sh installer then?

  7. #57
    Join Date
    Aug 2007
    Posts
    6,615

    Default

    I update those scripts very often, if i would package em i would have got maybe 1000 revisions so far, thats not needed. Also updateing the scripts only with update-scripts-kanotix.sh is much faster than doing a full dist-upgrade just to get new 3d scripts.

  8. #58
    Join Date
    Mar 2008
    Posts
    23

    Default

    Well, Envy [1] has been available for years already for a nice click a button to install ATI or Nvidia drivers. I used to use it to update both Nvidia and ATI comps and it worked really well.
    But ever since it was officially adopted, the usefulness has gone down the toilet. It used to be fully up to date, but now it takes months for new driver versions to be added.

    [1] http://albertomilone.com/nvidia_scripts1.html

  9. #59
    Join Date
    Aug 2007
    Posts
    6,615

    Default

    I know Envy, my scripts have been out longer and are always uptodate. The only difference is the way how Nvidia drivers are installed, for fglrx my script also has Debian packageing, but the Nvidia installer is called directly then from that I create a dkms package just for the kernel module. Envy however creates a Nvidia debian package. I tried that approach too, but the driver packages are too different, even small changes will break it. Nice to have, but harder to adopt if something is changed.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •